Chamilo LMS - Feature #7297

Add CSRF token to course backup import method
26/09/2014 16:04 - Yannick Warnier

Status: Feature implemented Start date: 26/09/2014

Priority: Normal Due date:

Assignee: Daniel Barreto % Done: 100%

Category: Backup Estimated time: 1.00 hour

Target version: 1.9.10 Spent time: 1.15 hour

Complexity: Normal SCRUM pts - ?
complexity:

Description

In the course backup import method, there doesn't seem to be a CSRF protection, which also means that a simple refresh of the

page re-executes the import.

This is an issue, in particular in distributed clusters, as the cluster itself might decide, if the operation takes too long, to ask another

back-end, and in this case you end up with as many import as the number of back-ends.

Please add CSRF validation to course export, course import and course copy.

Associated revisions

Revision 729da0e9 - 19/10/2014 18:10 - Yannick Warnier

Minor - code indentation - refs #7297

History

#1 - 13/10/2014 04:25 - Yannick Warnier
Ping Julio

#2 - 15/10/2014 06:44 - Yannick Warnier
- Estimated time set to 1.00 h

Julio, | think this shouldn't take you too long and it's going to be complicated to assign to anyone else.

This requires changes to the formValidator in the backups to use the Security class and add a token

#3 - 15/10/2014 19:07 - Yannick Warnier

- Assignee changed from Julio Montoya to Daniel Barreto

#4 - 18/10/2014 01:22 - Daniel Barreto
- % Done changed from 0 to 40
Things done:

1. Add Security token(generate, add to form, check, clear) into these scripts:
main/coursecopy/copy_course.php
main/coursecopy/copy_course_session.php
main/coursecopy/create_backup.php
main/coursecopy/import_backup.php
main/coursecopy/recycle_course.php

Send PR#389

https://github.com/chamilo/chamilo-Ims/pull/389

#5 - 19/10/2014 18:12 - Yannick Warnier
- Status changed from Assigned to Feature implemented

- % Done changed from 40 to 100

22/09/2021

1/2



https://github.com/chamilo/chamilo-lms/pull/389

Reviewed and merged.
